Lock an issue during edit
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There have been many occasions where updates have been lost because multiple people have been updating the same issue at the

same time.

Is there a way to have an issue locked whilst you are editing and then if another user is trying to edit the same issue they get a

message to say something like "Locked by user xxxx" then once the current user has finished editing and hit save it unlocks the

issue for someone else to add their update?

The issue would still be viewable but updates not possible if it is in locked mode by another user.

Is this possible?

History

#1 - 2014-01-09 23:46 - Jan Niggemann (redmine.org team member)

updates have been lost

 When more than one user updates an issue, the other(s) will get the following options:

- Apply my changes anyway (previous notes will be kept but some changes may be overwritten)

- Add my notes and discard my other changes

- Discard all my changes and redisplay xxx

How exactly did information get "lost"?

#2 - 2014-01-09 23:48 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

#3 - 2014-01-10 11:22 - Michael Gerrard

I don't think we get these options come up - we are on version 1.1.1

There have been many occasions where I have started to add comments and change statuses etc and then when I hit submit it gives an error saying

that the issue has been updated by another user and I lose what I have just entered and ave to start again.

Would be nice to have an indication that someone else is editing and if the issue can be locked until the other user has finished it would be really

helpful, then I can do my update after they have finished and submitted.

#4 - 2014-01-11 23:39 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

1.1.1 is out of support.

Please update to a recent version, 1.1.1 has security issues.

Besides, you would not have this problem in recent releases.
